Skip to main content
GET
List audit events

Authorizations

Authorization
string
header
required

WorkOS access JWT or a user-owned WorkOS API key. User keys are bound to one organization and restricted to their enabled product permissions. Session-only onboarding and session revocation require an interactive access JWT. No cookie session is assumed.

Headers

X-Request-Id
string

Optional caller-provided correlation identifier.

Required string length: 1 - 128

Query Parameters

project_id
string

Restricts the page to one visible project.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
operation_id
string

Restricts the page to one visible operation.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
cursor
string

Opaque continuation cursor returned by the preceding page.

Pattern: ^[A-Za-z0-9_-]+$
limit
integer
default:50

Maximum number of audit events to return.

Required range: 1 <= x <= 100

Response

One page of visible audit events.

items
object[]
required
next_cursor
string | null
Pattern: ^[A-Za-z0-9_-]+$